import Vue from 'vue';
import dataTable from '@common/src/components/frame/filter-page-table.vue';
import dataForm from '@common/src/components/frame/form.vue';
import eUpload from '@common/src/components/frame/e-upload.vue';
import sUpload from '@common/src/components/frame/s-upload.vue';
import eDialog from '@common/src/components/frame/e-dialog.vue';

const Plugin = (vue) => {
  vue.prototype.$dev_mode = process.env.NODE_ENV === 'development';
  vue.component('data-table', dataTable);
  vue.component('data-form', dataForm);
  vue.component('eUpload', eUpload);
  vue.component('sUpload', sUpload);
  vue.component('eDialog', eDialog);
};

Vue.use(Plugin);
